%define xml_version_required 2.6.27
%define major 1
%define libname %mklibname xslt %{major}
%define develname %mklibname xslt -d

Name:    libxslt
Version: 1.1.26
Release: %mkrel 4
Summary: Library providing XSLT support
License: MIT
Group: System/Libraries
URL: http://xmlsoft.org/XSLT/
Source0: ftp://xmlsoft.org/libxslt/libxslt-%{version}.tar.gz
# fix python linking
Patch1: libxslt-1.1.25-fix-python-linking.patch
Requires: libxml2 >= %{xml_version_required}
BuildRequires: libxml2-devel >= %{xml_version_required}
BuildRequires: python-devel >= %{pyver}
BuildRequires: python-libxml2 >= %{xml_version_required}
BuildRequires: libgcrypt-devel
BuildRequires: multiarch-utils >= 1.0.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%package -n xsltproc
Summary: XSLT processor using libxslt
Group: System/Libraries
Obsoletes: libxslt-proc < %{version}-8
Provides: libxslt-proc = %{version}-%{release}

%description -n xsltproc
This package provides an XSLT processor based on the libxslt C library. 
It allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. 

%package -n %{libname}
Summary: Library providing XSLT support
Group: System/Libraries

%description  -n %{libname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. 
A xslt processor based on this library, named xsltproc, is provided by 
the libxslt-proc package.

%package -n python-%{name}
Summary: Python bindings for the libxslt library
Group: Development/Python
Obsoletes: %{name}-python < %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: python >= %{pyver}
Requires: python-libxml2 >= %{xml_version_required}

%description -n python-%{name}
The libxslt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows to parse sytlesheets, uses the libxml2-python
to load and save XML and HTML files. Direct access to XPath and
the XSLT transformation context are possible to extend the XSLT language
with XPath functions written in Python.

%package -n %{develname}
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: libxml2-devel >= %{xml_version_required}
Obsoletes: %{mklibname xslt 1 -d} < %{version}-%{release}

%description -n %{develname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. 

%prep
%setup -q
%patch1 -p1 -b .fix-python-linking

%{__mkdir_p} python/examples
%{__cp} -a python/tests/*.{py,xml,xsl} python/examples

#needed by patch1 
autoreconf -fi

%build
%configure2_5x
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

# remove unpackaged files
%{__rm} -rf %{buildroot}%{_docdir}/%{name}-%{version} %{buildroot}%{_docdir}/%{name}-python-%{version} \
  %{buildroot}%{py_platsitedir}/*.{la,a}

%multiarch_binaries %{buildroot}%{_bindir}/xslt-config

%clean
%{__rm} -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig 
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n xsltproc
%defattr(-, root, root)
%{_bindir}/xsltproc
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS NEWS README Copyright FEATURES TODO
%{_libdir}/lib*.so.*

%files -n python-%{name}
%defattr(0644,root, root,0755)
%doc AUTHORS README Copyright FEATURES python/TODO python/examples python/libxsltclass.txt
%defattr(-, root, root)
%{py_platsitedir}/*.so
%{py_platsitedir}/*.py

%files -n %{develname}
%defattr(-, root, root)
%doc doc/*.html doc/tutorial doc/html
%{_mandir}/man3/*
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_includedir}/*
%{multiarch_bindir}/xslt-config
%{_bindir}/xslt-config
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*


%changelog
* Fri Apr 29 2011 Funda Wang <fwang@mandriva.org> 1.1.26-4mdv2011.0
+ Revision: 660594
- update file list

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 1.1.26-3mdv2011.0
+ Revision: 590768
- rebuild for py2.7

* Sat Jan 02 2010 Funda Wang <fwang@mandriva.org> 1.1.26-2mdv2010.1
+ Revision: 484981
- use autoreconf --force to regenerate libtool

* Mon Oct 12 2009 Frederic Crozat <fcrozat@mandriva.com> 1.1.26-1mdv2010.0
+ Revision: 456838
- Release 1.1.26
- Remove patches 0 and 2 (merged upstream)

* Mon Sep 21 2009 David Walluck <walluck@mandriva.org> 1.1.25-3mdv2010.0
+ Revision: 446548
- add patch to revert xsltProcessOneNode static change to fix python-lxml

* Sat Sep 19 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1.25-2mdv2010.0
+ Revision: 444649
- add patch to revert problematic threading changes, unbreak KDE4 build
  see GNOME bug #595612

* Thu Sep 17 2009 Frederic Crozat <fcrozat@mandriva.com> 1.1.25-1mdv2010.0
+ Revision: 444057
- Release 1.2.25
- Remove patch0 (merged upstream)
- Redo patch1 and push it upstream

* Thu Jul 16 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.24-8mdv2010.0
+ Revision: 396528
- Make proper name for xsltproc

* Mon Jan 26 2009 Funda Wang <fwang@mandriva.org> 1.1.24-7mdv2009.1
+ Revision: 333686
- re-enable undefined linking
- fix linkage of python module

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.24-5mdv2009.1
+ Revision: 319568
- rebuild with python 2.6

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.24-4mdv2009.1
+ Revision: 315645
- rebuild

* Mon Aug 04 2008 Frederic Crozat <fcrozat@mandriva.com> 1.1.24-3mdv2009.0
+ Revision: 263348
- Patch0 (SVN): fix CVE 2008-2935

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 22 2008 Frederik Himpe <fhimpe@mandriva.org> 1.1.24-2mdv2009.0
+ Revision: 210088
- New version (fixes CVE-2008-1767)
- Define _disable_ld_no_undefined, otherwise it does not link correctly

* Fri May 09 2008 Olivier Blin <oblin@mandriva.com> 1.1.23-2mdv2009.0
+ Revision: 204810
- remove incorrect libXXlibxslt-devel provides

* Thu Apr 10 2008 Götz Waschk <waschk@mandriva.org> 1.1.23-1mdv2009.0
+ Revision: 192541
- new version
- drop patch

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Colin Guthrie <cguthrie@mandriva.org> 1.1.22-2mdv2008.1
+ Revision: 102031
- Fix python binding's applyStylesheet params handling on x86_64 (Gnome bug #489854)

* Mon Sep 03 2007 David Walluck <walluck@mandriva.org> 1.1.22-1mdv2008.0
+ Revision: 78474
- 1.1.22
- version Obsoletes
- fix python-%%{name} %%doc perms

* Wed Aug 15 2007 Adam Williamson <awilliamson@mandriva.org> 1.1.21-2mdv2008.0
+ Revision: 63587
- whoops, finish cleanup
- okay, we really don't need to support 10.1 and earlier any more
- drop explicit requires on libxml2 (it has an auto-generated one anyway)

* Wed Aug 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.21-1mdv2008.0
+ Revision: 60121
- new version
- new devel library policy


* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 1.1.20-2mdv2007.1
+ Revision: 144593
- move API doc in devel package

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 1.1.20-1mdv2007.1
+ Revision: 112886
- new version

* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.1.19-2mdv2007.1
+ Revision: 97032
- Rebuild

  + David Walluck <walluck@mandriva.org>
    - include source
    - 1.1.19
      rename python package to python-libxslt

* Sat Oct 28 2006 Götz Waschk <waschk@mandriva.org> 1.1.18-1mdv2007.1
+ Revision: 73542
- Import libxslt

* Sat Oct 28 2006 Gtz Waschk <waschk@mandriva.org> 1.1.18-1mdv2007.1
- move test to the right stage
- bump deps
- fix source URL
- new version

* Wed Jun 07 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17-1mdv2007.0
- bump deps
- source URL
- New release 1.1.17

* Wed May 03 2006 Götz Waschk <waschk@mandriva.org> 1.1.16-1mdk
- New release 1.1.16

* Wed Feb 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.15-2mdk
- use mkrel

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.1.15-1mdk 
- Release 1.1.15

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 1.1.14-1mdk 
- Release 1.1.14

* Wed Mar 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.12-3mdk
- fix deps and conditional %%multiarch

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.1.12-2mdk
- Rebuild for new python

* Thu Nov 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.12-1mdk
- requires new libxml2
- New release 1.1.12

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.11-1mdk
- New release 1.1.11

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.10-1mdk
- New release 1.1.10

* Tue Aug 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.1.9-1mdk
- New release 1.1.9

* Thu Jul 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.8-2mdk
- fix buildrequires

* Wed Jul 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.8-1mdk
- reenable libtoolize for cooker
- New release 1.1.8

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- new version

* Sat Apr 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-1mdk
- Release 1.1.5

